#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 unordered-containers
version:              0.2.20
visibility:           public
id:                   unordered-containers-0.2.20-GUwBPxO7Ljy8Kmoa5HHL0Q
key:                  unordered-containers-0.2.20-GUwBPxO7Ljy8Kmoa5HHL0Q
license:              BSD-3-Clause
copyright:
    2010-2014 Johan Tibell
    2010 Edward Z. Yang

maintainer:           simon.jakobi@gmail.com, David.Feuer@gmail.com
author:               Johan Tibell
homepage:
    https://github.com/haskell-unordered-containers/unordered-containers

synopsis:             Efficient hashing-based container types
description:
    Efficient hashing-based container types.  The containers have been
    optimized for performance critical use, both in terms of large data
    quantities and high speed.

    The declared cost of each operation is either worst-case or
    amortized, but remains valid even if structures are shared.

    /Security/

    This package currently provides no defenses against hash collision attacks
    such as HashDoS.
    Users who need to store input from untrusted sources are advised to use
    @Data.Map@ or @Data.Set@ from the @containers@ package instead.

category:             Data
abi:                  0883fcbd325aea16b0c86aa76caa326a
exposed:              True
exposed-modules:
    Data.HashMap.Internal Data.HashMap.Internal.Array
    Data.HashMap.Internal.Debug Data.HashMap.Internal.List
    Data.HashMap.Internal.Strict Data.HashMap.Lazy Data.HashMap.Strict
    Data.HashSet Data.HashSet.Internal

import-dirs:          /usr/lib/ghc-9.8.2/site-local/unordered-containers-0.2.20
library-dirs:         /usr/lib/ghc-9.8.2/site-local/unordered-containers-0.2.20
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/unordered-containers-0.2.20
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:
    /usr/share/x86_64-linux-ghc-9.8.2/unordered-containers-0.2.20

hs-libraries:         HSunordered-containers-0.2.20-GUwBPxO7Ljy8Kmoa5HHL0Q
depends:
    base-4.19.1.0-inplace deepseq-1.5.0.0-inplace
    hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
    template-haskell-2.21.0.0-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/unordered-containers-0.2.20/html/unordered-containers.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/unordered-containers-0.2.20/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

